/*
    This Software (C) Copyright David Goodwin, 2007, 2008.
    
     This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
        

/*************************************************************************
 * Class: DebugConsoleLogger
 * Package: assignment
 * Purpose: This Logger extends the standard one to allow Debug Logging.
 * @author David Goodwin
 *************************************************************************/

package logging;

import java.io.IOException;

/** This class implements the ILogger interface to provide 
 * logging abilities. This logger DOES write debug messages.
 *
 * @author David Goodwin
 */
public class DebugConsoleLogger extends ConsoleLogger implements ILogger {
    
    /** Writes an entry to the console using the specified severity.
     * This implementation DOES support the Debug severity.
     * 
     * @param sv Log entry severity
     * @param message Log message
     */
    public void writeLineE(final Severity sv, final String message) throws IOException {    
        String msg;
        switch (sv) {
            case Notice:
                msg = svToString(sv) + message;
                System.out.println(msg);
                break;
            case Debug:
                msg = svToString(sv) + message;
                System.out.println(msg);
                break;
            case Warning:
                msg = svToString(sv) + message;
                System.err.println(msg);
                break;
            case Error:
                msg = svToString(sv) + message;
                System.err.println(msg);
                break;
            case Failure:
                msg = svToString(sv) + message;
                System.err.println(msg);
                break;
            default:
                msg =  message;
                System.err.println(msg);
                break;
        }
    }
}
